Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class KeyWrapSetOaepParameters

    java.lang.Object
      iaik.pkcs.pkcs11.parameters.KeyWrapSetOaepParameters

All Implemented Interfaces:
  Cloneable, Parameters

public class KeyWrapSetOaepParameters
extends Object
implements Parameters

This class encapsulates parameters for the Mechanism.KEY_WRAP_SET_OAEP.

Invariants

Field Summary
`protected byte` | `blockContents_` The block contents byte.
`protected byte[]` | `x_` The concatenation of hash of plaintext data (if present) and extra data (if present).

Constructor Summary
`KeyWrapSetOaepParameters(byte blockContents, byte[] x)` Create a new KEADeriveParameters object with the given attributes.

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`byte` | `getBlockContents()` Get the block contents byte.
`Object` | `getPKCS11ParamsObject()` Get this parameters object as an object of the CK_KEY_WRAP_SET_OAEP_PARAMS class.
`byte[]` | `getX()` Get the concatenation of hash of plaintext data (if present) and extra data (if present).
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setBlockContents(byte blockContents)` Set the block contents byte.
`void` | `setX(byte[] x)` Set the concatenation of hash of plaintext data (if present) and extra data (if present).
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### blockContents_

    protected byte blockContents_

  The block contents byte.

### x_

    protected byte[] x_

  The concatenation of hash of plaintext data (if present) and extra data (if present).

Constructor Detail

### KeyWrapSetOaepParameters

    public KeyWrapSetOaepParameters(byte blockContents,
                                    byte[] x)

  Create a new KEADeriveParameters object with the given attributes.

Parameters:
  `blockContents` - The block contents byte.
  `x` - The concatenation of hash of plaintext data (if present) and extra data (if present).
Preconditions
Postconditions

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof KeyWrapSetOaepParameters) and (result.equals(this))

### getPKCS11ParamsObject

    public Object getPKCS11ParamsObject()

  Get this parameters object as an object of the CK_KEY_WRAP_SET_OAEP_PARAMS class.

  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a CK_KEY_WRAP_SET_OAEP_PARAMS object.
  Preconditions
  Postconditions
    (result <> null)

### getBlockContents

    public byte getBlockContents()

  Get the block contents byte.

  Returns:
    The block contents byte.
  Preconditions
  Postconditions

### getX

    public byte[] getX()

  Get the concatenation of hash of plaintext data (if present) and extra data (if present).

  Returns:
    The concatenation of hash of plaintext data (if present) and extra data (if present).
  Preconditions
  Postconditions

### setBlockContents

    public void setBlockContents(byte blockContents)

  Set the block contents byte.

  Parameters:
    `blockContents` - The block contents byte.
  Preconditions
  Postconditions

### setX

    public void setX(byte[] x)

  Set the concatenation of hash of plaintext data (if present) and extra data (if present).

  Parameters:
    `x` - The concatenation of hash of plaintext data (if present) and extra data (if present).
  Preconditions
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.

  Returns:
    A string representation of this object.

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.